This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 827187 - Fedora 17 (and 13-14-15-16) can't choose language for Live installation
Fedora 17 (and 13-14-15-16) can't choose language for Live installation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: LiveCD - KDE (Show other bugs)
17
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Sebastian Vahl
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 16:40 EDT by xset1980
Modified: 2013-07-25 02:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-25 02:48:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description xset1980 2012-05-31 16:40:22 EDT
Description of problem:

The selection of spanish or other language, from anaconda, on Fedora 17 DVD, live CD, KDE, XFCE and other spins, no setup /etc/sysconfig/i18n correctly, he hold:
----------------------
/etc/sysconfig/i18n
LANG="us_US.UTF-8"
SYSFONT="True"
----------------------
And it affect the language in terminal.
Manually i change this for es_ES and work fine.
The bug is present from Fedora 13.

Version-Release number of selected component (if applicable):
Fedora 17 all, F13-16

How reproducible:

Always

1.- cat /etc/sysconfig/i18n
2.- yum show english language, and terminal errors too

Steps to Reproduce:
1.
2.
3.
  
Actual results:

The terminal of Fedora show the messages in us_US, setting anaconda in es_ES

Expected results:

Anaconda setup correctly the language for console

Additional info:

All spins and Fedora all afected
Comment 1 Mads Kiilerich 2012-05-31 17:36:27 EDT
The incorrect SYSFONT=True is Bug 799401.

The simplest way to get the localization you want is to choose it when you install Fedora. That will make sure it gets set all the right places.

Translations are however incomplete. You can help by getting involved as translator - either in Fedora or upstream in the various projects shipped with Fedora.
Comment 2 xset1980 2012-05-31 18:22:58 EDT
(In reply to comment #1)
> The incorrect SYSFONT=True is Bug 799401.
> 
> The simplest way to get the localization you want is to choose it when you
> install Fedora. That will make sure it gets set all the right places.
> 
> Translations are however incomplete. You can help by getting involved as
> translator - either in Fedora or upstream in the various projects shipped
> with Fedora.

The True SYSFONT is a minor bug, ignored for me.
In the momento of installation, i selected correctly all, buenos aires, argentina, spanish, keyboard layout es, so, is a bug.
Comment 3 xset1980 2012-05-31 18:24:46 EDT
Ah!, errata:

Momento == moment, instance, etc

The SYSFONT bug 799401 is present on F17 final release, KDE spin.
Comment 4 sebagabor 2012-06-01 12:10:15 EDT
Yep ssame for LXDE. Shame to see such a bug in final release :(
Comment 5 Jens Petersen 2012-06-05 00:47:33 EDT
(In reply to comment #0)
> The selection of spanish or other language, from anaconda, on Fedora 17 DVD,
> live CD, KDE, XFCE and other spins, no setup /etc/sysconfig/i18n correctly,

I can't reproduce for default Spanish DVD install.

See comments below for Live.

> Steps to Reproduce:
> 1.

Please describe your installation steps in full here.

> All spins and Fedora all afected

For Live I think only GNOME Desktop spin allows changing
the language *before* install with anaconda, but you have
to logout once and back in for it to take affect.

Anyway I think we really need a way to set the Live
language at boot time.
Comment 6 Jens Petersen 2012-06-05 06:54:50 EDT
(In reply to comment #5)
> I can't reproduce for default Spanish DVD install.

Explicitly:

1. I did a fresh install in Spanish from F17 x86_64 DVD.
2. (I chose Spanish on the first screen of the anaconda installer)
3. Spanish install completes and I reboot
4. Firstboot and then gdm running normally in Spanish
5. /etc/sysconfig/i18n contains LANG="es_ES.UTF-8".

No problem.

The Live "issue" is well-known but not new as you say.
Unfortunately LXDE and XFCE do not support changing language
and nor does gdm these days. :-(
Comment 7 Jens Petersen 2012-06-06 04:36:25 EDT
I opened bug 829207 to request having anaconda show language selection screen for Live installs.
Comment 8 Jens Petersen 2012-06-11 22:28:12 EDT
Also note that just setting the keyboard layout in anaconda does not affect the system locale of the installation.
Comment 9 sebagabor 2012-06-12 02:03:08 EDT
Severity: low ? People install system and can't start it properly and you call it low ? heh... In other projects it would be consider as major or critical
Comment 10 Jens Petersen 2012-06-20 04:07:14 EDT
Low is the default Severity set for bugs.

A workaround would be to install system-config-language and use
it change the system locale.

I hope this may improve for F18 - as always help is welcome.
Comment 11 Jens Petersen 2012-06-20 04:10:42 EDT
Moving this to Live KDE, since Gnome Live can do this though unintuitively.
Comment 12 xset1980 2012-09-03 06:44:40 EDT
Mm in fresh install the bug is present ever from live CD, spin or not spin. I use Fedora from 12, ever i change the language of terminal from /etc/sysconfig/i18 because anaconda no change it for me
Comment 13 Marcos Mello 2012-09-15 15:21:13 EDT
Related: Bug 541055
Comment 14 Fedora End Of Life 2013-07-03 18:27:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Jens Petersen 2013-07-03 21:50:02 EDT
I think this is fixed in f18 anaconda and later, right?
Comment 16 Jens Petersen 2013-07-25 02:48:44 EDT
Seems so anaconda 18 and later has language choice on first screen.

Note You need to log in before you can comment on or make changes to this bug.